summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0032priority_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0032priority_variable_0')
-rwxr-xr-xtests/shell/testcases/chains/0032priority_variable_017
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0032priority_variable_0 b/tests/shell/testcases/chains/0032priority_variable_0
new file mode 100755
index 00000000..51bc5eb1
--- /dev/null
+++ b/tests/shell/testcases/chains/0032priority_variable_0
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Tests use of variables in priority specification
+
+set -e
+
+RULESET="
+define pri = 10
+
+table inet global {
+ chain prerouting {
+ type filter hook prerouting priority \$pri
+ policy accept
+ }
+}"
+
+$NFT -f - <<< "$RULESET"